function outcome=mc (inpt)
%This function takes in [Mag, Freq, Phase;...]
%and calls reader, then graphs the result
%of reader with grapher

global numvectors
global ManInScreen
global KeepInput

if KeepInput==0
	if ManInScreen~=0
		close(ManInScreen)
	end
end


intermed=reader4 (inpt);

number=int2str(numvectors);
WinCapt=['Your Animation of ',number,' Phasors'];
AnimFig=figure ('MenuBar','none','NumberTitle','off',...
	'Units','normalized','Position',[.02, .02, .96, .85],...
	'Name',WinCapt,'UserData',['graph'],...
	'Color','k');

% If the labels are on, do the following
global TitleInfo
%------------------------------------------------------------
%------------------------------------------------------------
if TitleInfo(1,3)==1
%------------------------------------------------------------
HarmLabel=[int2str(TitleInfo(1,1)),' Harmonics   '];
PrdLabel=[int2str(TitleInfo(2,1)),' Periods'];
NewCapt=[number,' Phasors:     ',HarmLabel,PrdLabel];
set(AnimFig,'Name',NewCapt)

if TitleInfo(3,2)~=0
	PropLabel=[int2str(TitleInfo(3,2)),' degrees Prop. to Freq.'];
	Ptext=uicontrol('Style','text','Units','normalized',...
		'Position',[.6 .88 .3 .05],'String',PropLabel,...
		'BackgroundColor','k','ForegroundColor','b');
end

if TitleInfo(3,1)~=0
	ConsLabel=[int2str(TitleInfo(3,1)),' degrees Constant'];
	Ctext=uicontrol('Style','text','Units','normalized',...
		'Position',[.6 .94 .3 .05],'String',ConsLabel,...
		'BackgroundColor','k','ForegroundColor','b');
end

if TitleInfo(4,1)==1
	Fwin=['Fejer Windowing'];
	Ftext=uicontrol('Style','text','Units','normalized',...
		'Position',[.1 .94 .3 .05],'String','Fejer Window',...
		'BackgroundColor','k','ForegroundColor','b');
end

if TitleInfo(4,2)==1
	Owin=['Other Windowing'];
	Owin=uicontrol('Style','text','Units','normalized',...
		'Position',[.1 .88 .3 .05],'String','Hamming Window',...
		'BackgroundColor','k','ForegroundColor','b');
end

% end of assignments
%------------------------------------------------------------
end % of if Label are on loop
%------------------------------------------------------------
%------------------------------------------------------------

grapher6(intermed);

outcome=111;
