function result=slcm2 (ArrayInQstn)
%Least Commom Multiple (LCM) of an row of numbers.  
%Input is merely the row of numbers, output the LCM

result=0;
NMax=max(abs(ArrayInQstn));
numelements=size(ArrayInQstn,2);
sloop=1;

%If we're given a zero, it should not
%affect the value of the least common
%multiple.  Therefore, we will
%turn any zeros into ones

for zloop=1:numelements
	if ArrayInQstn(1,zloop)==0
		ArrayInQstn(1,zloop)=1;
	end
end
%*********************************************

for loop=1:numelements
	
	OMax=NMax; %Starts off each cycle ready to
		 %double the new NMax
	while srem2([NMax,ArrayInQstn(1,loop)])~=0
		sloop=sloop+1;
		NMax=sloop*OMax;
		end	%End of while loop
	end
end
result=NMax;




	

